---
lang: en
title: 'API docs: context.injectbindingmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectbindingmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectBindingMetadata](./context.injectbindingmetadata.md)

## InjectBindingMetadata interface

Metadata for `@inject.binding`

**Signature:**

```typescript
export interface InjectBindingMetadata extends InjectionMetadata 
```
**Extends:** [InjectionMetadata](./context.injectionmetadata.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindingCreation?](./context.injectbindingmetadata.bindingcreation.md) |  | [BindingCreationPolicy](./context.bindingcreationpolicy.md) | _(Optional)_ Controls how the underlying binding is resolved/created |


